Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedString

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.SVGOMAnimatedString

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue, org.w3c.dom.svg.SVGAnimatedString

    public class SVGOMAnimatedString

extends AbstractSVGAnimatedValue
implements org.w3c.dom.svg.SVGAnimatedString

This class implements the `SVGAnimatedString` interface.

Field Summary
`protected String` | `animVal` The current animated value.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedString(AbstractElement elt, String ns, String ln)` Creates a new SVGOMAnimatedString.

Method Summary
`void` | `attrAdded(Attr node, String newv)` Called when an Attr node has been added.
`void` | `attrModified(Attr node, String oldv, String newv)` Called when an Attr node has been modified.
`void` | `attrRemoved(Attr node, String oldv)` Called when an Attr node has been removed.
`String` | `getAnimVal()` DOM: Implements `SVGAnimatedString.getAnimVal()`.
`String` | `getBaseVal()` DOM: Implements `SVGAnimatedString.getBaseVal()`.
`AnimatableValue` | `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`void` | `setBaseVal(String baseVal)` DOM: Implements `SVGAnimatedString.setBaseVal(String)`.
`protected void` | `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### animVal

    protected String animVal

  The current animated value.

Constructor Detail

### SVGOMAnimatedString

    public SVGOMAnimatedString(AbstractElement elt,
                               String ns,
                               String ln)

  Creates a new SVGOMAnimatedString.

  Parameters:
    `elt` - The associated element.
    `ns` - The attribute's namespace URI.
    `ln` - The attribute's local name.

Method Detail

### getBaseVal

    public String getBaseVal()

  DOM: Implements `SVGAnimatedString.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedString`

### setBaseVal

    public void setBaseVal(String baseVal)
                    throws DOMException

  DOM: Implements `SVGAnimatedString.setBaseVal(String)`.

  Specified by:
    `setBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedString`
  Throws:
    `DOMException`

### getAnimVal

    public String getAnimVal()

  DOM: Implements `SVGAnimatedString.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedString`

### getUnderlyingValue

    public AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

  Specified by:
    `getUnderlyingValue` in interface `AnimatedLiveAttributeValue`

### updateAnimatedValue

    protected void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

  Specified by:
    `updateAnimatedValue` in class `AbstractSVGAnimatedValue`

### attrAdded

    public void attrAdded(Attr node,
                          String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(Attr node,
                             String oldv,
                             String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(Attr node,
                            String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.